System Requirements

Flexi 12 and LXi 12 require the following system specifications.
  • Operating System: Windows 10, 8, 7, Vista
  • RAM: 1GB Minimum, 4 GB or more recommended
  • Screen Resolution: 1152 x 854 minimum, with 16-bit color or higher
  • Install Space: 1GB Free for base program plus extra install space for ICC Profiles
  • Working Disk Space: 4 GB

Compatibility Chart

It is important that your software version is compatible with your computer’s operating system. The software versions within the left-hand column should work well with the Windows versions listed in the right-hand column. While users may find success with an incompatible OS, SignWarehoue technicians are unable to assist in troubleshooting incompatible configurations.

LXi & Flexi Version for WindowsWindows Operating System
5.7Windows 95/98
6.0/6.6Windows 95/98/2000
7.5Windows 2000, XP SP1 or SP2
8.0Windows XP SP1 or SP2
8.5Windows XP SP3, Vista 32-bit
8.6Windows XP SP3, Vista, 7
10.0Windows XP SP3, Vista, 7
10.5Windows XP SP3, Vista, 7
11Windows Vista, 7, 8
12Windows Vista, 7, 8 and 10

Note: Versions 11 and after are Cloud-based. Internet connection is required for Cloud Window features and services as well as license activation.

 

LXi & Flexi Version for MacMac Operating System
LXi & Flexi 7.5"Tiger" 10.4 that doesn't have Intel CPU
Flexi 8"Tiger" 10.4, "Snow Leopard" 10.6
LXi 10"Tiger" 10.4, "Leopard" 10.5, "Snow Leopard" 10.6
(Visited 343 times, 50 visits today)